TX7 (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.e00
Class TX7

    java.lang.Object
      com.bbn.openmap.omGraphics.geom.BasicGeometry
          com.bbn.openmap.omGraphics.OMGraphicAdapter
              com.bbn.openmap.layer.e00.TX7

All Implemented Interfaces:
  OMGeometry, OMGraphic, OMGraphicConstants, java.io.Serializable, java.lang.Cloneable

    public class TX7

extends OMGraphicAdapter

Description of the Class that displays a String along a polygon or a polyline defined by lat lon points.

Author:
  paricaud
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`declutterType, displayPaint, edgeMatchesFill, fillPaint, hasLabel, linePaint, matted, mattingPaint, renderType, selected, selectPaint, showEditablePalette, stroke, textureMask`

Fields inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`attributes, lineType, needToRegenerate, shape, visible`

Fields inherited from interface com.bbn.openmap.omGraphics.OMGraphicConstants
`ADD_GRAPHIC_MASK, APP_OBJECT, BASIC_STROKE, CHANGE_APPEARANCE, clear, DECIMAL_DEGREES, DECLUTTERTYPE_LINE, DECLUTTERTYPE_MOVE, DECLUTTERTYPE_NONE, DECLUTTERTYPE_SPACE, DEFAULT_ROTATIONANGLE, DELETE_GRAPHIC_MASK, DESELECT_GRAPHIC_MASK, DESELECTALL_GRAPHIC_MASK, GRAPHICTYPE_ARC, GRAPHICTYPE_BITMAP, GRAPHICTYPE_CIRCLE, GRAPHICTYPE_ELLIPSE, GRAPHICTYPE_GRAPHIC, GRAPHICTYPE_GRID, GRAPHICTYPE_LINE, GRAPHICTYPE_POINT, GRAPHICTYPE_POLY, GRAPHICTYPE_RASTER, GRAPHICTYPE_RECTANGLE, GRAPHICTYPE_TEXT, INDEX, INFOLINE, LABEL, LINETYPE_GREATCIRCLE, LINETYPE_RHUMB, LINETYPE_STRAIGHT, LINETYPE_UNKNOWN, LOWER_GRAPHIC_MASK, LOWER_TO_BOTTOM_GRAPHIC_MASK, NO_ROTATE, OMGRAPHIC_ELT, OMGRAPHIC_TYPE_ATTR, RADIANS, RAISE_GRAPHIC_MASK, RAISE_TO_TOP_GRAPHIC_MASK, REMOVABLE, RENDERTYPE_LATLON, RENDERTYPE_OFFSET, RENDERTYPE_UNKNOWN, RENDERTYPE_XY, SELECT_GRAPHIC_MASK, SORT_GRAPHICS_MASK, TOOLTIP, UPDATE_GRAPHIC_MASK, UPDATED`

Constructor Summary
`TX7(double[] llpoints, java.lang.String str)` Constructor for the TX7 object
`TX7(double[] llpoints, java.lang.String str, boolean isRadian)` Constructor for the TX7 object
`TX7(double[] llpoints, java.lang.String str, boolean isRadian, java.awt.Font font)` Constructor for the TX7 object

Method Summary
`boolean` | `generate(Projection proj)` generate with a new projection
`java.awt.Font` | `getFont()` Gets the font attribute of the TX7 object
`double[]` | `getLocation()` Gets the location attribute of the TX7 object
`java.lang.String` | `getText()` Gets the text attribute of the TX7 object
`void` | `render(java.awt.Graphics g)` render
`void` | `setFont(java.awt.Font f)` Sets the font attribute of the TX7 object
`void` | `setLocation(double[] llpoints, boolean isRadian)` Sets the location attribute of the TX7 object
`void` | `setText(java.lang.String S)` Sets the text attribute of the TX7 object

Methods inherited from class com.bbn.openmap.omGraphics.OMGraphicAdapter
`clone, deselect, distance, getDeclutterType, getDisplayColor, getDisplayPaint, getEdgeMatchesFill, getFillColor, getFillPaint, getHasLabel, getLineColor, getLinePaint, getMattingPaint, getRenderType, getSelectColor, getSelectPaint, getShowEditablePalette, getStroke, getTextureMask, hasLineTypeChoice, initLabelingDuringGenerate, isClear, isMatted, isSelected, normalizeDistanceForLineWidth, readStroke, readTextureMask, regenerate, renderLabel, renderShape, restore, select, setDeclutterType, setEdgeMatchesFill, setFillColor, setFillPaint, setGraphicsColor, setGraphicsForEdge, setGraphicsForFill, setHasLabel, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLabelLocation, setLineColor, setLinePaint, setMatted, setMattingPaint, setRenderType, setSelectColor, setSelected, setSelectPaint, setShowEditablePalette, setStroke, setTextureMask, shouldRenderEdge, shouldRenderFill, writeStroke, writeTextureMask`

Methods inherited from class com.bbn.openmap.omGraphics.geom.BasicGeometry
`_distance, appendShapeEdge, appendShapeEdge, appendShapeEdge, appendShapeEdge, clearAttributes, contains, createAttributeMap, createBoxShape, createShape, createShape, describeShapeDetail, describeShapeDetail, distanceToEdge, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bbn.openmap.omGraphics.OMGeometry
`clearAttributes, contains, distanceToEdge, draw, draw, fill, fill, getAppObject, getAttribute, getAttributes, getDescription, getLineType, getNeedToRegenerate, getShape, isRenderable, isRenderable, isVisible, putAttribute, removeAttribute, setAppObject, setAttributes, setLineType, setNeedToRegenerate, setShape, setVisible`

Constructor Detail

### TX7

    public TX7(double[] llpoints,
               java.lang.String str,
               boolean isRadian)

  Constructor for the TX7 object

  Parameters:
    `llpoints` - array on lat lon lat lon ...
    `str` - Text
    `isRadian` - true if lat lons given in radians
  Since:

### TX7

    public TX7(double[] llpoints,
               java.lang.String str,
               boolean isRadian,
               java.awt.Font font)

  Constructor for the TX7 object

  Parameters:
    `llpoints` - array on lat lon lat lon ...
    `str` - Text
    `isRadian` - true if lat lons given in radians
    `font` - font used to draw text
  Since:

### TX7

    public TX7(double[] llpoints,
               java.lang.String str)

  Constructor for the TX7 object

  Parameters:
    `llpoints` - array on lat lon lat lon ...
    `str` - Text *
  Since:

Method Detail

### setText

    public void setText(java.lang.String S)

  Sets the text attribute of the TX7 object

  Parameters:
    `S` - The new text value
  Since:

### setFont

    public void setFont(java.awt.Font f)

  Sets the font attribute of the TX7 object

  Parameters:
    `f` - The new font value
  Since:

### setLocation

    public void setLocation(double[] llpoints,
                            boolean isRadian)

  Sets the location attribute of the TX7 object

  Parameters:
    `llpoints` - array on lat lon lat lon ...
    `isRadian` - true if lat lons given in radians
  Since:

### getFont

    public java.awt.Font getFont()

  Gets the font attribute of the TX7 object

  Returns:
    The font value
  Since:

### getText

    public java.lang.String getText()

  Gets the text attribute of the TX7 object

  Returns:
    The text value
  Since:

### getLocation

    public double[] getLocation()

  Gets the location attribute of the TX7 object

  Returns:
    array on lat lon lat lon ... in radians
  Since:

### generate

    public boolean generate(Projection proj)

  generate with a new projection

  Specified by:
    `generate` in interface `OMGeometry`
  Specified by:
    `generate` in class `OMGraphicAdapter`
  Parameters:
    `proj` - new Projection
  Returns:
    Description of the Returned Value
  Since:
  See Also:
    `OMGraphicAdapter.regenerate(com.bbn.openmap.proj.Projection)`

### render

    public void render(java.awt.Graphics g)

  render

  Specified by:
    `render` in interface `OMGeometry`
  Overrides:
    `render` in class `OMGraphicAdapter`
  Parameters:
    `g` - Graphics
  Since:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details